package nl.amis.technology.view.beans;

import oracle.adf.controller.TaskFlowId;
import oracle.adf.controller.internal.binding.DCTaskFlowBinding;
import oracle.adf.model.BindingContext;

import oracle.binding.BindingContainer;


public class regionMananager {
    private String taskFlowId = "/WEB-INF/TF-1.xml#TF-1";
    private boolean tf2Active;
    private boolean tf1Active;

    public regionMananager() {
    }

    public TaskFlowId getDynamicTaskFlowId() {
        return TaskFlowId.parse(taskFlowId);
    }

 public String getCurrent()
  {
        
    BindingContext bctx = BindingContext.getCurrent();
    BindingContainer bindings = bctx.getCurrentBindingsEntry();
    DCTaskFlowBinding taskFlowBinding = (DCTaskFlowBinding) bindings.get("dynamicRegion1");
           
    System.out.println("the Currently active taskFlow in the Dynamic Region is " + taskFlowBinding.getTaskFlowId());
    
    return getDynamicTaskFlowId().getFullyQualifiedName();    
    
  }
 

    public String tF2() {
        if (!getCurrent().equalsIgnoreCase("/WEB-INF/TF-2.xml#TF-2")){
           taskFlowId = "/WEB-INF/TF-2.xml#TF-2";
          setTf1Active(false);
          setTf2Active(true);                      
        }
        return null;
    }

    public String tF1() {  
      if (!getCurrent().equalsIgnoreCase("/WEB-INF/TF-1.xml#TF-1")){
         taskFlowId = "/WEB-INF/TF-1.xml#TF-1";
         setTf1Active(true);
         setTf2Active(false);
        }
        return null;
    }

    public void setTf2Active(boolean tf2Active) {
        this.tf2Active = tf2Active;
    }

    public boolean isTf2Active() {
        return tf2Active;
    }

    public void setTf1Active(boolean tf1Active) {
        this.tf1Active = tf1Active;
    }

    public boolean isTf1Active() {
        return tf1Active;
    }
}
